image: node:16.14.0

pages:
  cache:
    paths:
      - node_modules/
  script:
    - npm install -g @angular/cli@10.1.3
    - npm install
    - npm run build --prod --base-href=/matrix-code-webapp/
  artifacts:
    paths:
      - public
  only:
    - master
    - pages
